#pragma once
#include "Entity.h"
#include "Vector.h"
#include "Model.h"

class Star
{
private:
	float rotVal;
	Model * specialstar;
	Model* model;

public:
	Star(Vec3f position);
	~Star();

	void draw(void);
	void update(float elapsedTime);

	Vec3f position;
	Vec3f rotation;
	float scale;

	bool canCollide;
	bool inObject(const Vec3f &position);

	bool special;
};

